Skip to main content
POST
/
v1
/
businesses
/
{businessId}
/
customFields
Create Custom Field
curl --request POST \
  --url https://api.cadanapay.com/v1/businesses/{businessId}/customFields \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": [
    "T-shirt Size",
    "Desk Number"
  ]
}
'
import requests

url = "https://api.cadanapay.com/v1/businesses/{businessId}/customFields"

payload = { "data": ["T-shirt Size", "Desk Number"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: ['T-shirt Size', 'Desk Number']})
};

fetch('https://api.cadanapay.com/v1/businesses/{businessId}/customFields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
      "name": "Tshirt Size",
      "value": "M"
    }
  ]
}
{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Path Parameters

businessId
string
required

The unique identifier for the business

Body

application/json
data
string[]
Example:
["T-shirt Size", "Desk Number"]

Response

create custom fields response

data
object[]